"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var FormDisplayView_1 = require("./FormDisplayView");
;
var NestedFormDisplayView = (function (_super) {
    __extends(NestedFormDisplayView, _super);
    function NestedFormDisplayView(props) {
        var _this = _super.call(this, props) || this;
        _this.renderEntry = _this.renderEntry.bind(_this);
        return _this;
    }
    NestedFormDisplayView.prototype.render = function () {
        return (React.createElement("div", { className: 'form-display-nested' }, this.props.value.map(this.renderEntry)));
    };
    NestedFormDisplayView.prototype.renderEntry = function (entry, index) {
        return (React.createElement("div", { className: 'form-display-nested-entry' },
            React.createElement(FormDisplayView_1.FormDisplayView, { fields: this.props.field.fields, registry: this.props.registry, value: entry })));
    };
    return NestedFormDisplayView;
}(React.PureComponent));
NestedFormDisplayView.defaultProps = {
    value: [{}]
};
exports.NestedFormDisplayView = NestedFormDisplayView;
