/// <reference types="react" />
import * as React from 'react';
import * as data from '../data';
export interface IFormSubmissionViewProps {
    registry: data.FieldRegistry;
    fields: data.IField[];
    value: any;
    attempt?: boolean;
    onChange: (value: any, errors: data.IFormError) => void;
}
export interface IFormSubmissionViewState {
}
export declare class FormSubmissionView extends React.PureComponent<IFormSubmissionViewProps, IFormSubmissionViewState> {
    private errors;
    static defaultProps: Partial<IFormSubmissionViewProps>;
    constructor(props: IFormSubmissionViewProps);
    private renderField(field, index);
    private onValueChanged(field, value, error);
    render(): JSX.Element;
}
